commit:     10a14c193af4c4365f78ed3140ea63b5a4c2bed3
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Dec 29 13:37:51 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 13:37:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10a14c19

media-libs/libde265: Sync live ebuild

Closes: https://github.com/gentoo/gentoo/pull/18230
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-libs/libde265/libde265-9999.ebuild | 33 +++++++++++++++-----------------
 1 file changed, 15 insertions(+), 18 deletions(-)

diff --git a/media-libs/libde265/libde265-9999.ebuild 
b/media-libs/libde265/libde265-9999.ebuild
index 1b591f16c36..29c28d991c8 100644
--- a/media-libs/libde265/libde265-9999.ebuild
+++ b/media-libs/libde265/libde265-9999.ebuild
@@ -5,14 +5,12 @@ EAPI=7
 
 inherit autotools multilib-minimal
 
-PATCHES=( "${FILESDIR}/${PN}-1.0.2-qtbindir.patch" )
-
-if [[ ${PV} == "9999" ]] ; then
+if [[ ${PV} == *9999 ]] ; then
        EGIT_REPO_URI="https://github.com/strukturag/${PN}.git";
        inherit git-r3
 else
        SRC_URI="https://github.com/strukturag/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
-       KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
 fi
 
 DESCRIPTION="Open h.265 video codec implementation"
@@ -20,14 +18,14 @@ HOMEPAGE="https://github.com/strukturag/libde265";
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="enc265 dec265 sdl tools debug static-libs cpu_flags_x86_sse4_1 
cpu_flags_arm_neon cpu_flags_arm_thumb"
+IUSE="enc265 dec265 sdl tools debug cpu_flags_x86_sse4_1 cpu_flags_arm_neon 
cpu_flags_arm_thumb"
 # IUSE+=" sherlock265" # Require libvideogfx or libswscale
 
 RDEPEND="
        dec265? (
                sdl? ( media-libs/libsdl )
-       )
-"
+       )"
+
 # Sherlock265 require libvideogfx or libswscale
 #RDEPEND+="
 #      sherlock265? (
@@ -40,12 +38,13 @@ RDEPEND="
 #"
 
 DEPEND="${RDEPEND}"
-
 BDEPEND="dec265? ( virtual/pkgconfig )"
 
 # Sherlock265 require libvideogfx or libswscale
 #BDEPEND+=" sherlock265? ( virtual/pkgconfig )"
 
+PATCHES=( "${FILESDIR}"/${PN}-1.0.2-qtbindir.patch )
+
 src_prepare() {
        default
 
@@ -57,16 +56,16 @@ src_prepare() {
 
 multilib_src_configure() {
        local myeconfargs=(
+               --disable-static
+               --enable-log-error
                ax_cv_check_cflags___msse4_1=$(usex cpu_flags_x86_sse4_1)
                ax_cv_check_cflags___mfpu_neon=$(usex cpu_flags_arm_neon)
                $(use_enable cpu_flags_arm_thumb thumb)
-               $(use_enable static-libs static)
                $(use_enable debug log-info)
                $(use_enable debug log-debug)
                $(use_enable debug log-trace)
                $(multilib_native_use_enable enc265 encoder)
                $(multilib_native_use_enable dec265)
-               --enable-log-error
        )
 
        # myeconfargs+=( $(multilib_native_use_enable sherlock265) ) # Require 
libvideogfx or libswscale
@@ -79,21 +78,19 @@ multilib_src_install() {
        default
 
        if multilib_is_native_abi; then
-               # Remove useless, unready and test tools (Why package ever 
tried to install them??)
-               rm -f "${ED}/usr/bin/"{tests,gen-enc-table,yuv-distortion} || 
die
+               # Remove useless, unready and test tools
+               rm "${ED}"/usr/bin/{tests,gen-enc-table,yuv-distortion} || die
                if ! use tools; then
-                       rm -f 
"${ED}/usr/bin/"{bjoentegaard,block-rate-estim,rd-curves} || die
-                       rm -f "${ED}/usr/bin/acceleration_speed" || die
+                       rm 
"${ED}"/usr/bin/{bjoentegaard,block-rate-estim,rd-curves} || die
+                       rm "${ED}"/usr/bin/acceleration_speed || die
                fi
        else
                # Remove all non-native binary tools
-               rm -f "${ED}/usr/bin/"* || die
+               rm "${ED}"/usr/bin/* || die
        fi
 }
 
 multilib_src_install_all() {
        find "${ED}" -name '*.la' -delete || die
-       if ! use static-libs ; then
-               find "${ED}" -name "*.a" -delete || die
-       fi
+       einstalldocs
 }

Reply via email to